{% extends 'base.html.twig' %}
{% block title %}Pixel Art{% endblock %}

{% block body %}

    <div class="container">
        <div class="row">
            <div class="header">
                <h1>Vos Pixels-Arts </h1>
                {% if pixels is not empty %}
                <a class="btn btn-outline-dark" href="{{ path('pixel_art-new') }}">Créer un nouveau Pixel Art</a>
                {% else %}
                    <a class="btn btn-outline-dark" href="{{ path('pixel_art-new') }}">Créer votre tout premier pixel art !</a>

                {% endif %}
            </div>
            {% for pixel in pixels %}
                <div class="card">
                    <div class="col-md-6 ">
                        <div class="pixel ">
                            <div class="body">
                                <h3 class="card-title float-left">Pixel Art du site {{ pixel.link|replace({'https://': "" , 'http://': ""})  }}</h3>
                                <img src="{{ path('pixel_art_image', {'pixelPub': pixel.id}) }}" alt=""
                                     width="{{ pixel.width * 2 }}px" title="{{ pixel.title }}">
                            </div>
                            {% if pixel.coords == [] %}
                                <small class="alert">Attention ce pixel art n'est pas encore placer sur la bannière {{pixel.banner.name}}</small>
                            {% else %}
                                <small> Ce pixel art est sur la bannière {{pixel.banner.name}}</small>
                            {% endif %}
                        </div>
                        <div class="footer">
                            <a href="{{ path('pixel_art_edit' ,{ 'pixelArt' : pixel.id}) }}" class="btn btn-card btn-outline-dark">
                                Modifier votre Pixel Art
                            </a>
                            {% if pixel.banner.id|default %}
                                <a href="{{ path('pixel_art_place' ,{ 'pixelArt' : pixel.id}) }}" class="btn btn-card btn-outline-dark">
                                    Placer votre Pixel Art
                                </a>
                            {% endif %}

                        </div>
                    </div>

                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}

